#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N;
    int A[N],max,p;
    scanf("%d",&N);
    for (int i=0;i<N;i++)
        scanf("%d",&A[i]);
    if (N==2)
        printf("%d %d",A[1],A[0]);
    else
    {
        for (int i=0;i<N;i++)
        {
          max=A[0];
          do
          {
              p=A[0];
              A[0]=A[i];
              A[i]=p;
              max=A[i];
          }
          while (A[i]>max);
        }
        for (int i=0;i<N;i++)
            printf("%d ",A[i]);
    }
    return 0;
}